summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Patrice Coni2023-03-12 01:26:38 +0100
committer Willy Sudiarto Raharjo2023-03-12 01:26:38 +0100
commitfe72240d37c822fbe64d7086c4a56903c812e197 (patch)
treecc2f229068b12606430a5c1777d8ed152e1e2f43 /desktop
parent7a804b8134dfec27f083e03955f688312c469c4c (diff)
downloadslackbuilds-fe72240d37c822fbe64d7086c4a56903c812e197.tar.gz
desktop/UltimateDailyWallpaper: Added (Wallpaper Changer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/UltimateDailyWallpaper/README8
-rw-r--r--desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.SlackBuild117
-rw-r--r--desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.info10
-rw-r--r--desktop/UltimateDailyWallpaper/doinst.sh9
-rw-r--r--desktop/UltimateDailyWallpaper/slack-desc19
5 files changed, 163 insertions, 0 deletions
diff --git a/desktop/UltimateDailyWallpaper/README b/desktop/UltimateDailyWallpaper/README
new file mode 100644
index 0000000000..bd06e7246b
--- /dev/null
+++ b/desktop/UltimateDailyWallpaper/README
@@ -0,0 +1,8 @@
+UltimateDailyWallpaper is a utility to set the daily picture as
+wallpaper of a selected provider. It saves images in a high
+quality. Further information about each picture can be obtained
+from the Internet with a single click. It integrates with
+most desktop environments to provide automatically changing
+wallpaper. It allows a simple integration of external plugins,
+which allows downloading a daily wallpaper from any one
+provider.
diff --git a/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.SlackBuild b/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.SlackBuild
new file mode 100644
index 0000000000..45627fab67
--- /dev/null
+++ b/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for UltimateDailyWallpaper
+
+# Copyright 2023 Patrice Coni
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=UltimateDailyWallpaper
+VERSION=${VERSION:-3.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ $ARCH = 'x86_64' ]; then
+ LIBDIR=lib64
+else
+ LIBDIR=lib
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/ultimatedailywallpaper-$VERSION.tar.gz
+cd ultimatedailywallpaper-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+lrelease-qt5 src/src.pro
+qmake-qt5
+make
+
+mkdir -p ${PKG}/usr/bin
+mkdir -p ${PKG}/usr/share/pixmaps
+mkdir -p ${PKG}/usr/share/applications
+mkdir -p ${PKG}/usr/${LIBDIR}/${PRGNAM}-plugins
+mkdir -p ${PKG}/usr/share/locale/ca/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/de/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/es/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/fi/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/fr/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/it/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/ru/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/uk/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/ko/LC_MESSAGES
+mkdir -p ${PKG}/usr/share/locale/pt/LC_MESSAGES
+cp language/${PRGNAM}_ca.qm ${PKG}/usr/share/locale/ca/LC_MESSAGES
+cp language/${PRGNAM}_de.qm ${PKG}/usr/share/locale/de/LC_MESSAGES
+cp language/${PRGNAM}_es.qm ${PKG}/usr/share/locale/es/LC_MESSAGES
+cp language/${PRGNAM}_fi.qm ${PKG}/usr/share/locale/fi/LC_MESSAGES
+cp language/${PRGNAM}_fr.qm ${PKG}/usr/share/locale/fr/LC_MESSAGES
+cp language/${PRGNAM}_it.qm ${PKG}/usr/share/locale/it/LC_MESSAGES
+cp language/${PRGNAM}_ru.qm ${PKG}/usr/share/locale/ru/LC_MESSAGES
+cp language/${PRGNAM}_uk.qm ${PKG}/usr/share/locale/uk/LC_MESSAGES
+cp language/${PRGNAM}_ko.qm ${PKG}/usr/share/locale/ko/LC_MESSAGES
+cp language/${PRGNAM}_pt.qm ${PKG}/usr/share/locale/pt/LC_MESSAGES
+cp src/icons/ultimatedesktopwallpaper_icon.png ${PKG}/usr/share/pixmaps
+cp ${PRGNAM}.desktop ${PKG}/usr/share/applications
+install -m 0755 bin/${PRGNAM} ${PKG}/usr/bin
+install -m 0755 plugins/libbing-wallpaper-downloader-*.so ${PKG}/usr/${LIBDIR}/${PRGNAM}-plugins
+install -m 0755 plugins/libwikimedia-commons-potd-*.so ${PKG}/usr/${LIBDIR}/${PRGNAM}-plugins
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.info b/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.info
new file mode 100644
index 0000000000..a07139390f
--- /dev/null
+++ b/desktop/UltimateDailyWallpaper/UltimateDailyWallpaper.info
@@ -0,0 +1,10 @@
+PRGNAM="UltimateDailyWallpaper"
+VERSION="3.2.0"
+HOMEPAGE="https://github.com/pagaco-swita/ultimatedailywallpaper"
+DOWNLOAD="https://github.com/pagaco-swita/ultimatedailywallpaper/archive/refs/tags/v3.2.0/ultimatedailywallpaper-3.2.0.tar.gz"
+MD5SUM="1566a94be0e68a0be48b1edb6d1aa2ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Patrice Coni"
+EMAIL="patrice.coni-dev@yandex.com"
diff --git a/desktop/UltimateDailyWallpaper/doinst.sh b/desktop/UltimateDailyWallpaper/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/UltimateDailyWallpaper/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/UltimateDailyWallpaper/slack-desc b/desktop/UltimateDailyWallpaper/slack-desc
new file mode 100644
index 0000000000..2d501807ee
--- /dev/null
+++ b/desktop/UltimateDailyWallpaper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+UltimateDailyWallpaper: UltimateDailyWallpaper (Wallpaper Changer)
+UltimateDailyWallpaper:
+UltimateDailyWallpaper: UltimateDailyWallpaper changes the wallpaper on a regular interval
+UltimateDailyWallpaper: using automatically downloaded pictures.
+UltimateDailyWallpaper:
+UltimateDailyWallpaper:
+UltimateDailyWallpaper:
+UltimateDailyWallpaper: Github: https://github.com/pagaco-swita/ultimatedailywallpaper
+UltimateDailyWallpaper:
+UltimateDailyWallpaper:
+UltimateDailyWallpaper: